Patchwork [2/2] mariadb: add perl to RDEPENDS

login
register
mail settings
Submitter Chong.Lu@windriver.com
Date April 14, 2014, 7:16 a.m.
Message ID <2201d43b35ff3c7007ccbd3805b2d4ec0d0b9193.1397459226.git.Chong.Lu@windriver.com>
Download mbox | patch
Permalink /patch/70565/
State Accepted, archived
Headers show

Comments

Chong.Lu@windriver.com - April 14, 2014, 7:16 a.m.
Perl doesn't be installed in small image, but mariadb-server, mariadb-client and
mariadb-leftovers need it in runtime, so we add perl to RDEPENDS.

Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
Signed-off-by: Chong Lu <Chong.Lu@windriver.com>
---
 meta-oe/recipes-support/mysql/mariadb_5.1.67.inc | 4 ++++
 1 file changed, 4 insertions(+)
Koen Kooi - April 14, 2014, 7:43 a.m.
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Chong Lu schreef op 14-04-14 09:16:
> Perl doesn't be installed in small image, but mariadb-server,
> mariadb-client and mariadb-leftovers need it in runtime, so we add perl
> to RDEPENDS.

It doesn't need any perl modules to work?

> 
> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Chong
> Lu <Chong.Lu@windriver.com> --- 
> meta-oe/recipes-support/mysql/mariadb_5.1.67.inc | 4 ++++ 1 file changed,
> 4 insertions(+)
> 
> diff --git a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc index 37a0f0c..e474b3c
> 100644 --- a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc +++
> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc @@ -116,6 +116,10 @@
> FILES_${PN} = " " RDEPENDS_${PN} = "${PN}-client ${PN}-server" 
> ALLOW_EMPTY_${PN} = "1"
> 
> +RDEPENDS_${PN}-client = "perl" +RDEPENDS_${PN}-server = "perl" 
> +RDEPENDS_${PN}-leftovers = "perl" + FILES_libmysqlclient = "\ 
> ${libdir}/libmysqlclient.so.* \ ${libdir}/plugin/*.so.*"
> 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)
Comment: GPGTools - http://gpgtools.org

iD8DBQFTS5GcMkyGM64RGpERAoYVAJ4+8cnpKMHIC7YqhO/N4QZPMAX3DACfaheN
oB0KZz+3h0heDx7RJ5gdiT8=
=ttpI
-----END PGP SIGNATURE-----
Chong.Lu@windriver.com - April 14, 2014, 8:06 a.m.
On 04/14/2014 03:43 PM, Koen Kooi wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Chong Lu schreef op 14-04-14 09:16:
>> Perl doesn't be installed in small image, but mariadb-server,
>> mariadb-client and mariadb-leftovers need it in runtime, so we add perl
>> to RDEPENDS.
> It doesn't need any perl modules to work?

mariadb-server, mariadb-client and mariadb-leftovers need /usr/bin/perl

rpm -qp -R mariadb-server-5.1.67-r0.core2_64.rpm
warning: mariadb-server-5.1.67-r0.core2_64.rpm: Header V4 DSA/SHA1 Signature, key ID f6cf289c: NOKEY
/usr/bin/perl
...

BR
Chong

>
>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Chong
>> Lu <Chong.Lu@windriver.com> ---
>> meta-oe/recipes-support/mysql/mariadb_5.1.67.inc | 4 ++++ 1 file changed,
>> 4 insertions(+)
>>
>> diff --git a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc index 37a0f0c..e474b3c
>> 100644 --- a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc +++
>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc @@ -116,6 +116,10 @@
>> FILES_${PN} = " " RDEPENDS_${PN} = "${PN}-client ${PN}-server"
>> ALLOW_EMPTY_${PN} = "1"
>>
>> +RDEPENDS_${PN}-client = "perl" +RDEPENDS_${PN}-server = "perl"
>> +RDEPENDS_${PN}-leftovers = "perl" + FILES_libmysqlclient = "\
>> ${libdir}/libmysqlclient.so.* \ ${libdir}/plugin/*.so.*"
>>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.5 (Darwin)
> Comment: GPGTools - http://gpgtools.org
>
> iD8DBQFTS5GcMkyGM64RGpERAoYVAJ4+8cnpKMHIC7YqhO/N4QZPMAX3DACfaheN
> oB0KZz+3h0heDx7RJ5gdiT8=
> =ttpI
> -----END PGP SIGNATURE-----
>
Koen Kooi - April 14, 2014, 8:35 a.m.
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Chong Lu schreef op 14-04-14 10:06:
> 
> On 04/14/2014 03:43 PM, Koen Kooi wrote: Chong Lu schreef op 14-04-14
> 09:16:
>>>> Perl doesn't be installed in small image, but mariadb-server, 
>>>> mariadb-client and mariadb-leftovers need it in runtime, so we add
>>>> perl to RDEPENDS.
> It doesn't need any perl modules to work?
> 
>> mariadb-server, mariadb-client and mariadb-leftovers need
>> /usr/bin/perl
> 
>> rpm -qp -R mariadb-server-5.1.67-r0.core2_64.rpm warning:
>> mariadb-server-5.1.67-r0.core2_64.rpm: Header V4 DSA/SHA1 Signature, 
>> key ID f6cf289c: NOKEY /usr/bin/perl ...

I get that it needs /usr/bin/perl, but you didn't answer my question:

	It doesn't need any perl modules to work?

Does it actually work with only 'perl' installed and not any of the
'perl-module-' packages?
	

> 
>> BR Chong
> 
> 
>>>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by:
>>>> Chong Lu <Chong.Lu@windriver.com> --- 
>>>> meta-oe/recipes-support/mysql/mariadb_5.1.67.inc | 4 ++++ 1 file
>>>> changed, 4 insertions(+)
>>>> 
>>>> diff --git a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc 
>>>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc index
>>>> 37a0f0c..e474b3c 100644 ---
>>>> a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc +++ 
>>>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc @@ -116,6
>>>> +116,10 @@ FILES_${PN} = " " RDEPENDS_${PN} = "${PN}-client
>>>> ${PN}-server" ALLOW_EMPTY_${PN} = "1"
>>>> 
>>>> +RDEPENDS_${PN}-client = "perl" +RDEPENDS_${PN}-server = "perl" 
>>>> +RDEPENDS_${PN}-leftovers = "perl" + FILES_libmysqlclient = "\ 
>>>> ${libdir}/libmysqlclient.so.* \ ${libdir}/plugin/*.so.*"
>>>> 
>> 
> 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)
Comment: GPGTools - http://gpgtools.org

iD8DBQFTS53MMkyGM64RGpERAmN9AJwNYnxwYPqCjlVl01kMy0D3EsU5LgCdEtrJ
mC/STuju9Eo9yAW3XDxsNpI=
=esUj
-----END PGP SIGNATURE-----
Chong.Lu@windriver.com - April 14, 2014, 8:56 a.m.
On 04/14/2014 04:35 PM, Koen Kooi wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Chong Lu schreef op 14-04-14 10:06:
>> On 04/14/2014 03:43 PM, Koen Kooi wrote: Chong Lu schreef op 14-04-14
>> 09:16:
>>>>> Perl doesn't be installed in small image, but mariadb-server,
>>>>> mariadb-client and mariadb-leftovers need it in runtime, so we add
>>>>> perl to RDEPENDS.
>> It doesn't need any perl modules to work?
>>
>>> mariadb-server, mariadb-client and mariadb-leftovers need
>>> /usr/bin/perl
>>> rpm -qp -R mariadb-server-5.1.67-r0.core2_64.rpm warning:
>>> mariadb-server-5.1.67-r0.core2_64.rpm: Header V4 DSA/SHA1 Signature,
>>> key ID f6cf289c: NOKEY /usr/bin/perl ...
> I get that it needs /usr/bin/perl, but you didn't answer my question:
>
> 	It doesn't need any perl modules to work?
>
> Does it actually work with only 'perl' installed and not any of the
> 'perl-module-' packages?
> 	
>
I don't find more dependencies about perl module. I make a image and 
start mariadb. It works well.
>>> BR Chong
>>
>>>>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by:
>>>>> Chong Lu <Chong.Lu@windriver.com> ---
>>>>> meta-oe/recipes-support/mysql/mariadb_5.1.67.inc | 4 ++++ 1 file
>>>>> changed, 4 insertions(+)
>>>>>
>>>>> diff --git a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
>>>>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc index
>>>>> 37a0f0c..e474b3c 100644 ---
>>>>> a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc +++
>>>>> b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc @@ -116,6
>>>>> +116,10 @@ FILES_${PN} = " " RDEPENDS_${PN} = "${PN}-client
>>>>> ${PN}-server" ALLOW_EMPTY_${PN} = "1"
>>>>>
>>>>> +RDEPENDS_${PN}-client = "perl" +RDEPENDS_${PN}-server = "perl"
>>>>> +RDEPENDS_${PN}-leftovers = "perl" + FILES_libmysqlclient = "\
>>>>> ${libdir}/libmysqlclient.so.* \ ${libdir}/plugin/*.so.*"
>>>>>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.5 (Darwin)
> Comment: GPGTools - http://gpgtools.org
>
> iD8DBQFTS53MMkyGM64RGpERAmN9AJwNYnxwYPqCjlVl01kMy0D3EsU5LgCdEtrJ
> mC/STuju9Eo9yAW3XDxsNpI=
> =esUj
> -----END PGP SIGNATURE-----
>
Koen Kooi - April 14, 2014, 9:06 a.m.
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Chong Lu schreef op 14-04-14 10:56:
> 
> On 04/14/2014 04:35 PM, Koen Kooi wrote: Chong Lu schreef op 14-04-14
> 10:06:
>>>> On 04/14/2014 03:43 PM, Koen Kooi wrote: Chong Lu schreef op
>>>> 14-04-14 09:16:
>>>>>>> Perl doesn't be installed in small image, but
>>>>>>> mariadb-server, mariadb-client and mariadb-leftovers need it
>>>>>>> in runtime, so we add perl to RDEPENDS.
>>>> It doesn't need any perl modules to work?
>>>> 
>>>>> mariadb-server, mariadb-client and mariadb-leftovers need 
>>>>> /usr/bin/perl rpm -qp -R mariadb-server-5.1.67-r0.core2_64.rpm
>>>>> warning: mariadb-server-5.1.67-r0.core2_64.rpm: Header V4
>>>>> DSA/SHA1 Signature, key ID f6cf289c: NOKEY /usr/bin/perl ...
> I get that it needs /usr/bin/perl, but you didn't answer my question:
> 
> It doesn't need any perl modules to work?
> 
> Does it actually work with only 'perl' installed and not any of the 
> 'perl-module-' packages?
> 
> 
>> I don't find more dependencies about perl module. I make a image and
>> start mariadb. It works well.

Can you describe the difference before and after this patch for the runtime
behaviour? I get the impression that you only silenced output from RPM and
didn't do any real testing or try to understand the problem
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Darwin)
Comment: GPGTools - http://gpgtools.org

iD8DBQFTS6UgMkyGM64RGpERApbOAJ4teUaJa3Owih3cPogWpBuyrJ8V6QCfePw8
G+rAP5C6+rkmP8Nw+loS+CM=
=gMxa
-----END PGP SIGNATURE-----

Patch

diff --git a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
index 37a0f0c..e474b3c 100644
--- a/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
+++ b/meta-oe/recipes-support/mysql/mariadb_5.1.67.inc
@@ -116,6 +116,10 @@  FILES_${PN} = " "
 RDEPENDS_${PN} = "${PN}-client ${PN}-server"
 ALLOW_EMPTY_${PN} = "1"
 
+RDEPENDS_${PN}-client = "perl"
+RDEPENDS_${PN}-server = "perl"
+RDEPENDS_${PN}-leftovers = "perl"
+
 FILES_libmysqlclient = "\
     ${libdir}/libmysqlclient.so.* \
     ${libdir}/plugin/*.so.*"